

-- プラグイン情報
function getClientInfo()
  return {
    name = SV:T("Change Selected Track Color"),
    category = SV:T("Track"),
    author = "水っぽいスープ",
    versionNumber = 1,
    minEditorVersion = 65540
  }
end



-- 日本語対応

function getTranslations(langCode)
  if langCode == "ja-jp" then
    return {
      {"Change Selected Track Color", "選択トラックの色を変更"},
      {"Track", "トラック"},
      {"R(Red)", "R（赤成分）"},
      {"G(Green)", "G（緑成分）"},
      {"B(Blue)", "B（青成分）"},
    }
  end
  return {}
end



-- メイン関数
function main()

-- 自作ダイアログの中身
  local myForm = {
    title = SV:T("Change Selected Track Color"),
    buttons = "OkCancel",
    widgets = {

      {
        name = "sl1", type = "Slider",
        label = SV:T("R(Red)"),
        format = "%1.0f",
        minValue = 0,
        maxValue = 255,
        interval = 1,
        default = 125
      

    },
          {
        name = "sl2", type = "Slider",
        label = SV:T("G(Green)"),
        format = "%1.0f",
        minValue = 0,
        maxValue = 255,
        interval =  1,
        default = 178
      

    },
    {
        name = "sl3", type = "Slider",
        label = SV:T("B(Blue)"),
        format = "%1.0f",
        minValue = 0,
        maxValue = 255,
        interval =  1,
        default = 53
       }  

 
    }
  }



-- ダイアログ表示
  local result = SV:showCustomDialog(myForm)
  



-- 確定を押した場合
  if result.status then
     
-- 小数のままformatで%02xを指定するとエラーになるので、回避のための処理
     local color_r = string.format("%02x", math.floor(result.answers.sl1))
     local color_g = string.format("%02x", math.floor(result.answers.sl2))
     local color_b = string.format("%02x", math.floor(result.answers.sl3))


      local color = "ff"..color_r..color_g..color_b

--      SV:showMessageBox("確認用", color)

-- トラックの色を変える
    SV:getMainEditor():getCurrentTrack():setDisplayColor(color)
    

-- 画面の更新代わりに実行
    local index = SV:getProject():addTrack(SV:create("Track"))
    SV:getProject():removeTrack(index)


  end


-- スクリプト終了
  SV:finish()
end


